Spaces method and path for this operation:
get /s/{space_id}/api/synthetics/private_locations/{id}
Refer to Spaces for more information.
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read.
GET
/api/synthetics/private_locations/{id}
curl
curl \
-X GET "${KIBANA_URL}/api/synthetics/private_locations/location-id" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/private_locations/location-id
Response examples (200)
{
"agentPolicyId": "test-private-location-id",
"geo": {
"lat": 0,
"lon": 0
},
"id": "test-private-location-id",
"isInvalid": false,
"isServiceManaged": false,
"label": "Test private location",
"namespace": "default"
}